Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wms.control
Class HighlightingListener

    java.lang.Object
      org.deegree.enterprise.control.AbstractListener
          org.deegree.portal.standard.wms.control.AbstractMapListener
              org.deegree.portal.standard.wms.control.HighlightingListener

All Implemented Interfaces:
  EventListener, WebListener

    public class HighlightingListener

extends AbstractMapListener

This class is for highlighting polygons via a RPC request event from the client. A new WMS request will be created with SLD. The SLD xml file will be created and saved. The WMS request for highlighting will be set.

------------------------------------------------------------------------

Version:
  $Revision: 24806 $, $Date: 27.05.2008 17:13:56$
Author:

  Constructor Summary
  `HighlightingListener()`

  Method Summary
  `void` | `actionPerformed(FormEvent event)` This method will be called by the `MapListener` if a highlighting action/event occurs.

  Methods inherited from class org.deegree.portal.standard.wms.control.AbstractMapListener
  `getScale, toMap`

  Methods inherited from class org.deegree.enterprise.control.AbstractListener
  `getAlternativeNextPage, getHomePath, getInitParameter, getInitParameterList, getNextPage, getRequest, getReturnValue, gotoErrorPage, handle, setAlternativeNextPage, setDefaultAlternativeNextPage, setDefaultNextPage, setNextPage, setReturnValue, toModel`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### HighlightingListener

      public HighlightingListener()

  Method Detail

  ### actionPerformed

      public void actionPerformed(FormEvent event)

    This method will be called by the `MapListener` if a highlighting action/event occurs.

    Specified by:
      `actionPerformed` in interface `WebListener`
    Overrides:
      `actionPerformed` in class `AbstractMapListener`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | deegree 2.4 (2010/11/11 10:47 build-27-official)
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  an open source project founded by lat/lon, Bonn, Germany.
  For more information visit: http://www.deegree.org